package server.command;

import common.entity.npc.EntityNPC;
import common.item.ItemStack;

public class PlayerItemParser extends PlayerEntityParser {
	public PlayerItemParser(String name, boolean useSender, UserPolicy policy) {
		super(name, useSender, policy);
	}

	public Object parse(CommandEnvironment env, String input) {
		EntityNPC entity = (EntityNPC)super.parse(env, input);
		ItemStack stack = entity.getHeldItem();
		if(stack == null)
			throw new RunException("%s hält keinen Gegenstand in der Hand", entity.getCommandName());
		return stack;
	}
	
	public Object getDefault(CommandEnvironment env) {
		EntityNPC entity = (EntityNPC)super.getDefault(env);
		return entity == null ? null : entity.getHeldItem();
	}

	public Class<?> getTypeClass(boolean required) {
		return ItemStack.class;
	}
}
