package server.command.commands;

import java.util.List;

import common.entity.Entity;
import common.util.BlockPos;
import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;

public class CommandFind extends Command {
	public CommandFind() {
		super("find");
		
		this.addEntityList("entities", false, UserPolicy.EVERYONE);
	}
	
	public Object exec(CommandEnvironment env, Executor exec, List<Entity> entities) {
		int done = 0;
		for(Entity entity : entities) {
			if(entity.isEntityAlive()) {
				BlockPos pos = entity.getPosition();
				exec.log("%s bei %d, %d, %d in %s gefunden", entity.getCommandName(), pos.getX(), pos.getY(), pos.getZ(), entity.worldObj.dimension.getFormattedName(false));
				done++;
			}
		}
		if(done > 1)
			exec.log("%d Objekte gefunden", done);
		return done;
	}
}
