package server.command.commands;

import java.util.List;

import common.color.TextColor;
import common.entity.npc.EntityNPC;
import common.potion.Potion;
import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;

public class CommandGod extends Command {
	public CommandGod() {
		super("god");
		
		this.addPlayerEntityList("players", true, UserPolicy.NON_ADMINS_OR_SELF);
		this.setParamsOptional();
		this.addFlag("remove", 'r');
		this.addFlag("quiet", 'q');
	}
	
	public void exec(CommandEnvironment env, Executor exec, List<EntityNPC> players, boolean remove, boolean quiet) {
		remove = !remove && exec.isPlayer() && players.size() == 1 && players.get(0).connection == exec ? players.get(0).hasEffect(Potion.HASTE) && players.get(0).getEffect(Potion.HASTE).getAmplifier() == 255 : remove;
		for(EntityNPC player : players) {
			player.setGodMode(!remove);
			if(!quiet)
				player.connection.addFeed(!remove ? (TextColor.GREEN + "Statuseffekte wurden hinzugefügt") : (TextColor.RED + "Statuseffekte wurden entfernt"));
			if(quiet || player.connection != exec)
				exec.log("Statuseffekte " + (!remove ? "an %s gegeben" : "von %s entfernt"), player.getCommandName());
		}
		if(players.size() > 1)
			exec.log("Statuseffekte " + (!remove ? "an %d Spieler gegeben" : "von %d Spielern entfernt"), players.size());
	}
}
