package server.command.commands;

import common.item.ItemStack;
import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;

public class CommandRename extends Command {
	public CommandRename() {
		super("rename");
		
		this.setParamsOptional();
		this.addString("name", false, 1, 30, null);
		this.setParamsRequired();
		this.addPlayerItem("player", 'p', true, UserPolicy.NON_ADMINS_OR_SELF);
	}
	
	public void exec(CommandEnvironment env, Executor exec, String name, ItemStack stack) {
		String prev = stack.getDisplayName();
		if(name == null)
			stack.clearCustomName();
		else
			stack.setStackDisplayName(name);
		if(!prev.equals(stack.getDisplayName()))
			exec.log("Gegenstand '%s' wurde zu '%s' umbenannt", prev, stack.getDisplayName());
	}
}
